%define oname	pywebkitgtk

Summary:	Python bindings for WebKitGtk
Name:		python-webkitgtk
Version:	1.1.8
Release:	%mkrel 1
Source0:	http://pywebkitgtk.googlecode.com/files/%{oname}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Python
URL:		http://code.google.com/p/pywebkitgtk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	webkitgtk-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:  python

Provides:	%{oname} = %{version}-%{release}

%description
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%dir %{python_sitearch}/webkit
%{python_sitearch}/webkit/*.py
%{python_sitearch}/webkit/webkit.*
%dir %{_datadir}/pywebkitgtk
%{_datadir}/pywebkitgtk/defs/webkit-*.defs
%exclude %{_libdir}/pkgconfig/pywebkitgtk-1.0.pc


%changelog
* Sun Apr 17 2011 ahmad <ahmad> 1.1.8-1.mga1
+ Revision: 86858
- update to 1.1.8
- disable static build; and don't ship .la
- own %%{python_sitearch}/webkit and %%{_datadir}/pywebkitgtk dirs (tip from Fedora)
- don't ship the .pc file (doesn't seem that useful)

* Sat Mar 05 2011 dmorgan <dmorgan> 1.1.7-2.mga1
+ Revision: 64728
- imported package python-webkitgtk


* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 1.1.7-2mdv2011.0
+ Revision: 590927
- Rebuild for python 2.7
- Add BR for python
- Remove %%py_requires macro

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.7-1mdv2010.1
+ Revision: 483945
- Update to new version 1.1.7

* Thu Jul 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.5-1mdv2010.0
+ Revision: 394016
- Update to new version 1.1.5
- Remove build fix integrated upstream

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.2-2mdv2009.1
+ Revision: 354409
- Rebuild for new webkit major

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 319497
- add build.patch: fix build (from upstream SVN)
- rebuild with python 2.6
- new release 1.0.2

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new python

* Fri Aug 22 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 275141
- br pygtk2.0-devel
- add python requires / br
- import python-webkitgtk


